\documentclass[a4paper,14pt,titlepage]{extarticle}
\usepackage[utf8]{inputenc}
\usepackage[english]{babel}
\usepackage{amsfonts,amssymb,amsmath}
\frenchspacing
\newcommand{\LAP}{\mathop{\mathrm{\Delta}}\nolimits}
\newcommand{\DIV}{\mathop{\mathrm{div}}\nolimits}
\newcommand{\grad}{\mathop{\mathrm{grad}}\nolimits}
\newcommand{\op}[2]{\mathop{\mathrm{{#1}_{#2}}}\nolimits}
\newcommand{\prt}[2]{\frac{\partial{#1}}{\partial{#2}}}
\newcommand{\normac}[1]{{\|{#1}\|}_{\mathbf C}}

\newcommand{\vE}{\overline {\mathbf{E}}}
\newcommand{\vH}{\overline{\mathbf H}}
\newcommand{\vA}{\overline{\mathbf A}}

\newcommand{\opp}[3]{\mathop{\mathrm{{\mathbf{#1}_{#2}}^{#3}}}\nolimits{}}
\newcommand{\vEi}[1]{\overrightarrow {{E}}^{{#1}}}
\newcommand{\vHi}[1]{\overrightarrow{ H}^{{#1}}}
\newcommand{\vAi}[2]{\overrightarrow{ #1}^{{#2}}}
\newcommand{\vAj}[2]{\overrightarrow{ #1}_{{#2}}}

\oddsidemargin=-0.75in
\textwidth=17.5cm
\usepackage[T1]{fontenc}
\setlength{\parindent}{12.5mm}



%\oddsidemargin=.6mm
%\topmargin=-5.4mm
%\headsep=2mm
%\headheight=4mm
%\textwidth=158mm
%\textheight=244mm
%\footskip=8mm


\begin{document}

Let's we have function $U$ such as
\begin{equation}
	\label{U_eq}
	U''-\varkappa^2U=0
\end{equation}
than,  one can obtain following reccurent expressions:

\begin{equation}
	\begin{aligned}
		A_n&=\int\limits_{-1}^{+1}U(x)P_n(x)dx
	\end{aligned}
\end{equation}
\begin{equation}
	\begin{aligned}
		A_0&=\frac{U'(1)-U'(-1)}{\varkappa^2}\\
		A_1&=\frac{1}{\varkappa^2}\left[\left(U'(1)+U'(-1)\right)-\left\{U(1)-U(-1)\right\}\right]\\
		A_{n+2}&=A_n\frac{(2n+1)(2n+3)}{\varkappa^2}-\frac{2n+3}{2n-1}A_{n-2}+A_n\frac{4n+2}{2n-1}\\
	\end{aligned}
\end{equation}


\begin{equation}
	\begin{aligned}
		\Psi_n&=\frac{A_n}{A_{n-2}}\\
		\Psi_{n+2}&=\frac{(2n+1)(2n+3)}{\varkappa^2}-\frac{2n+3}{2n-1}\frac{1}{\Psi_{n}}+\frac{4n+2}{2n-1}\\
%		\Psi_2&=1+\frac{3}{\varkappa^2}-3\frac{U(1)+U(-1)}{U'(1)-U'(-1)}\\
		\Psi_2&=1+\frac{3}{\varkappa^2}-\frac{3}{\varkappa}\frac{1+e^{-2\varkappa}}{1-e^{-2\varkappa}}\\
%		\Psi_3&=1+\frac{15}{\varkappa^2}+5\frac{1}{1-\frac{U'(1)+U'(-1)}{U(1)-U(-1)}}\\
		\Psi_3&=1+\frac{15}{\varkappa^2}+5\frac{1}{1-\varkappa\frac{1+e^{-2\varkappa}}{1-e^{-2\varkappa}}}\\
	\end{aligned}
\end{equation}

Note, that $\Psi_n$ depends only on $\varkappa$ and is the same for all solutions~of~\eqref{U_eq}.

\begin{equation}
	\begin{aligned}
		p_n&=\frac{6}{n+4}\frac{n+3}{n+5}-1\\
		q_n&=\frac{60p_{n+6}}{(n+8)(n+9)}+1\\
		\alpha_n&=\frac{40}{(n+4)(n+5)}\left(\frac{42q_n}{(n+6)(n+7)}-1\right)+1\\
		\Psi_2&=\frac{\varkappa^2}{15}\left(\frac{1-30\sum\limits_{n=1}^\infty(-1)^n\frac{2^{n+1}}{(n+3)!}\varkappa^np_n}{1+\sum\limits_{n=1}^\infty(-1)^n\frac{2^n}{(n+1)!}\varkappa^n}\right)\\
		\Psi_2&=\frac{\varkappa^2}{15}\left(1-\varkappa^2\frac{2}{21}\left(1-\varkappa^2\frac{1}{10}\left(1-\varkappa^2\frac{10}{99}\left(\frac{1+\frac{99}{5}\sum\limits_{n=1}^\infty(-1)^n\frac{2^{n+1}}{(n+3)!}\varkappa^n\alpha_n}{1+\sum\limits_{n=1}^\infty(-1)^n\frac{2^n}{(n+1)!}\varkappa^n}\right)\right)\right)\right)\\
	\end{aligned}
\end{equation}

\begin{equation}
	\begin{aligned}
		p_1=-\frac{1}{5}\\
		p_2=-\frac{2}{7}\\
		p_3=-\frac{5}{14}\\
		p_4=-\frac{5}{12}\\
		p_5=-\frac{7}{15}\\
		p_6=-\frac{28}{55}\\
		p_7=-\frac{6}{11}\\
		p_8=-\frac{15}{26}\\
		p_9=-\frac{55}{91}\\
		p_{10}=-\frac{22}{35}\\
		t_1=-\frac{3}{14}\\
		t_2=-\frac{9}{22}\\
	\end{aligned}
\end{equation}
\begin{equation}
	\begin{aligned}
		t_n&=21\left(1+\frac{60p_{n+4}}{(n+6)(n+7)}\right)+30p_{n+2}\\
		\gamma_n&=\left[\frac{1638}{47}\left\{2\frac{77p_{n+4}-\frac{2156t_{n+4}}{(n+8)(n+9)}}{(n+6)(n+7)}-p_{n+2}\right\}\right]\\
		\Psi_4&=\frac{\varkappa^2}{63}\left(\frac{1-210\sum\limits_{n=1}^\infty(-1)^n\frac{2^{n+3}}{(n+5)!}\varkappa^nt_n}{1-30\sum\limits_{n=1}^\infty(-1)^n\frac{2^{n+1}}{(n+3)!}\varkappa^np_n}\right)\\
		\Psi_4&=\frac{\varkappa^2}{63}\left(1-\varkappa^2\frac{2}{77}\left(1-\varkappa^2\frac{47}{1638}\left(\frac{1+30\sum\limits_{n=1}^\infty(-1)^n\frac{2^{n+3}}{(n+5)!}\varkappa^n\gamma_n}{1-30\sum\limits_{n=1}^\infty(-1)^n\frac{2^{n+1}}{(n+3)!}\varkappa^np_n}\right)\right)\right)\\
		\Psi_4&=\frac{\varkappa^2}{63}\left(1-\varkappa^2\frac{2}{77}\left(1-\varkappa^2\frac{47}{1638}\left(1-\varkappa^2\frac{146}{4935}\left(\frac{1+30\sum\limits_{n=1}^\infty(-1)^n\frac{2^{n+2}}{(n+5)!}\varkappa^n\left[\frac{4935}{73}\frac{\gamma_{n+2}+p_{n+2}}{(n+6)(n+7)}\right]}{1-30\sum\limits_{n=1}^\infty(-1)^n\frac{2^{n+1}}{(n+3)!}\varkappa^np_n}\right)\right)\right)\right)\\
	\end{aligned}
\end{equation}
\begin{equation}
	\begin{aligned}
		r_n&=\frac{30}{n+5}\left(1-\frac{6(n+5)}{(n+6)(n+7)}\right)-3\frac{n+3}{n+5}\\
		s_n&=\frac{90}{(n+7)(n+8)}\left(\frac{140r_{n+6}}{(n+9)(n+10)}+3\frac{n+7}{n+9}\right)-3\frac{n+5}{n+7}\\
		\beta_n&=\frac{3080}{37}\frac{s_n}{(n+5)(n+6)}-3\frac{n+3}{n+5}\\
		\Psi_3&=\frac{1}{35}\varkappa^2\left(\frac{1-70\sum\limits_{n=1}^\infty(-1)^n\frac{2^{n+2}}{(n+4)!}\varkappa^nr_n}{1+3\sum\limits_{n=1}^\infty(-1)^n\frac{2^{n+1}}{(n+2)!}\varkappa^n\frac{n+1}{n+3}}\right)\\
		\Psi_3&=\frac{1}{35}\varkappa^2\left(1-\frac{2}{45}\varkappa^2\left(1-\frac{37}{770}\varkappa^2\left(1-\frac{118}{2405}\varkappa^2\left(\frac{1+\frac{2405}{59}\sum\limits_{n=1}^\infty(-1)^n\frac{2^{n+2}}{(n+4)!}\varkappa^n\beta_{n}}{1+3\sum\limits_{n=1}^\infty(-1)^n\frac{2^{n+1}}{(n+2)!}\varkappa^n\frac{n+1}{n+3}}\right)\right)\right)\right)\\
	\end{aligned}
\end{equation}

\begin{equation}
	\begin{aligned}
		r_n&=\frac{30}{n+5}\left(1-\frac{6(n+5)}{(n+6)(n+7)}\right)-3\frac{n+3}{n+5}\\
		\sigma_n&=45\left[3\frac{n+5}{n+7}+\frac{140r_{n+4}}{(n+7)(n+8)}\right]+70r_{n+2}\\
		\Psi_5&=\frac{1}{99}\varkappa^2\left(\frac{1-\frac{1386}{5}\sum\limits_{n=1}^{\infty}(-1)^n\frac{2^{n+4}}{(n+6)!}\varkappa^n\sigma_n}{1-70\sum\limits_{n=1}^\infty(-1)^n\frac{2^{n+2}}{(n+4)!}\varkappa^nr_n}\right)\\
		\delta_n&=\frac{3960}{19}\frac{\left[
			\left\{\frac{5544}{5}\frac{\sigma_{n+6}}{(n+11)(n+12)}-70r_{n+6}\right\}\frac{234}{(n+9)(n+10)}+70r_{n+4}\right]}{(n+7)(n+8)}-70r_{n+2}\\
		\Psi_5&=\frac{1}{99}\varkappa^2\left(1-\varkappa^2\frac{2}{117}\left(1-\varkappa^2\frac{19}{990}\left(1-\varkappa^2\frac{58}{2907}\left(\frac{1-\frac{2907}{29}\sum\limits_{n=1}^{\infty}(-1)^n\frac{2^{n+3}}{(n+6)!}\varkappa^n\delta_n}{1-70\sum\limits_{n=1}^\infty(-1)^n\frac{2^{n+2}}{(n+4)!}\varkappa^nr_n}\right)\right)\right)\right)\\
	\end{aligned}
\end{equation}


\begin{equation}
	\begin{aligned}
		\Psi_2&=1+\frac{3}{\varkappa^2}-\frac{3}{\varkappa}\frac{1+e^{-2\varkappa}}{1-e^{-2\varkappa}}\\
		\Psi_3&=1+\frac{15}{\varkappa^2}+5\frac{1}{1-\varkappa\frac{1+e^{-2\varkappa}}{1-e^{-2\varkappa}}}\\
		\Psi_4&=\frac{35}{\varkappa^2}-\frac{7}{3}\frac{1}{\Psi_2}+\frac{10}{3}\\
		\Psi_5&=\frac{63}{\varkappa^2}-\frac{9}{5}\frac{1}{\Psi_3}+\frac{14}{5}\\
	\end{aligned}
\end{equation}
\begin{equation}
	\begin{aligned}
		\Psi_2&=\frac{\varkappa^2}{15}\left(1-\frac{2}{21}\varkappa^2\left(1-\frac{1}{10}\varkappa^2\left(1-\frac{10}{99}\varkappa^2\left(\frac{1+\frac{99}{5}\sum\limits_{n=1}^\infty(-1)^n\frac{2^{n+1}}{(n+3)!}\varkappa^n\alpha_n}{1+\sum\limits_{n=1}^\infty(-1)^n\frac{2^n}{(n+1)!}\varkappa^n}\right)\right)\right)\right)\\
		\Psi_3&=\frac{\varkappa^2}{35}\left(1-\frac{2}{45}\varkappa^2\left(1-\frac{37}{770}\varkappa^2\left(1-\frac{118}{2405}\varkappa^2\left(\frac{1+\frac{2405}{59}\sum\limits_{n=1}^\infty(-1)^n\frac{2^{n+2}}{(n+4)!}\varkappa^n\beta_{n}}{1+3\sum\limits_{n=1}^\infty(-1)^n\frac{2^{n+1}}{(n+2)!}\varkappa^n\frac{n+1}{n+3}}\right)\right)\right)\right)\\
		\Psi_4&=\frac{\varkappa^2}{63}\left(1-\frac{2}{77}\varkappa^2\left(1-\frac{47}{1638}\varkappa^2\left(1-\frac{146}{4935}\varkappa^2\left(\frac{1+30\sum\limits_{n=1}^\infty(-1)^n\frac{2^{n+2}}{(n+5)!}\varkappa^n\left[\frac{4935}{73}\frac{\gamma_{n+2}+p_{n+2}}{(n+6)(n+7)}\right]}{1-30\sum\limits_{n=1}^\infty(-1)^n\frac{2^{n+1}}{(n+3)!}\varkappa^np_n}\right)\right)\right)\right)\\
		\Psi_5&=\frac{\varkappa^2}{99}\left(1-\frac{2}{117}\varkappa^2\left(1-\frac{19}{990}\varkappa^2\left(1-\frac{58}{2907}\varkappa^2\left(\frac{1-\frac{2907}{29}\sum\limits_{n=1}^{\infty}(-1)^n\frac{2^{n+3}}{(n+6)!}\varkappa^n\delta_n}{1-70\sum\limits_{n=1}^\infty(-1)^n\frac{2^{n+2}}{(n+4)!}\varkappa^nr_n}\right)\right)\right)\right)\\
	\end{aligned}
\end{equation}

\newpage

\begin{equation}
	\begin{aligned}
		B_k(z)=&\int\limits_{-1}^{+1}U(z,z_0)P_k(z_0)dz_0\\
	\end{aligned}
\end{equation}

\begin{equation}
	\begin{aligned}
		C_k^n=&\int\limits_{-1}^{+1}\int\limits_{-1}^{+1}U(z,z_0)P_k(z)P_n(z_0)dzdz_0=\int\limits_{-1}^{+1}B_k(z)dz
	\end{aligned}
\end{equation}

\begin{equation}
	\begin{aligned}
		C_k^{n+2}=&C_k^n\frac{(2n+1)(2n+3)}{\varkappa^2}-\frac{2n+3}{2n-1}C_k^{n-2}+C_k^n\frac{4n+2}{2n-1}+\\
		&-2\frac{\|P_k\|^2}{\varkappa^2}\left(\delta_k^{n+2}+\frac{2n+3}{2n-1}\delta_k^{n-2}-\frac{4n+2}{2n-1}\delta_k^n\right)
	\end{aligned}
\end{equation}
\end{document}
